Subject: bug#48974: A possible shepherd bug (it's very minor)

From: [email-masked]
Date: Sat, 12 Jun 2021 20:09:10 +0000

June 12, 2021 3:39 PM, "Leo Prikler" <[email-masked]> wrote:

> Am Samstag, den 12.06.2021, 09:26 -0400 schrieb Joshua Branson:
> 
>> Hello!
>> 
>> I've had this issue every since I enabled automatic login on my guix
>> system like so:
>> 
>> #+BEGIN_SRC scheme
>> (define %my-desktop-services
>> (modify-services
>> %desktop-services
>> (mingetty-service-type config =>
>> (mingetty-configuration
>> (inherit config)
>> ;;auto login as joshua
>> (auto-login "joshua")))))
>> 
>> (operating-system
>> ...
>> (services (list %my-desktop-services)))
>> #+END_SRC
> 
> I am sorry to say this, but rather than this being (just) a bug with

Thank you for speaking so gently! :)

> shepherd, your config looks seriously borked. Why are you asking Guix
> to autologin you on *every available console*?

HAHAHA! That's what I'm doing! I forgot that! Honestly, I did that, because I
couldn't figure out how to code "just auto log into console 1 ONLY". :)

Would you mind explaining how bad of a decision this is? Is this a BAD security practice?

I'll tell you what, why don't we leave this "bug" open for a week...I'll try to write
the code that does what I want, and I'll email the answer.

Then I'll edit the manual to provide an example!

Thanks Leo (You sir, are a superstar!),

Joshua

> Regards,
> Leo